from typing import Any, ClassVar, Optional

import numpy
import pydrake.lcm
import pydrake.systems.framework
import pydrake.systems.lcm

class SchunkWsgCommandReceiver(pydrake.systems.framework.LeafSystem_[float]):
    def __init__(self, initial_position: float = ..., initial_force: float = ...) -> None: ...
    def get_force_limit_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...
    def get_position_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...

class SchunkWsgCommandSender(pydrake.systems.framework.LeafSystem_[float]):
    def __init__(self, default_force_limit: float = ...) -> None: ...
    def get_command_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...
    def get_force_limit_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...
    def get_position_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...

class SchunkWsgController(pydrake.systems.framework.Diagram_[float]):
    def __init__(self, kp: float = ..., ki: float = ..., kd: float = ...) -> None: ...

class SchunkWsgDriver:
    __fields__: ClassVar[tuple] = ...  # read-only
    lcm_bus: str
    pid_gains: numpy.ndarray[numpy.float64[3,1]]
    def __init__(self, **kwargs) -> None: ...
    def __copy__(self) -> SchunkWsgDriver: ...
    def __deepcopy__(self, arg0: dict) -> SchunkWsgDriver: ...

class SchunkWsgPositionController(pydrake.systems.framework.Diagram_[float]):
    def __init__(self, time_step: float = ..., kp_command: float = ..., kd_command: float = ..., kp_constraint: float = ..., kd_constraint: float = ..., default_force_limit: float = ...) -> None: ...
    def get_desired_position_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...
    def get_force_limit_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...
    def get_generalized_force_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...
    def get_grip_force_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...
    def get_state_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...

class SchunkWsgStatusReceiver(pydrake.systems.framework.LeafSystem_[float]):
    def __init__(self) -> None: ...
    def get_force_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...
    def get_state_output_port(self) -> pydrake.systems.framework.OutputPort_[float]: ...
    def get_status_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...

class SchunkWsgStatusSender(pydrake.systems.framework.LeafSystem_[float]):
    def __init__(self) -> None: ...
    def get_force_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...
    def get_state_input_port(self) -> pydrake.systems.framework.InputPort_[float]: ...

def ApplyDriverConfig(driver_config: SchunkWsgDriver, model_instance_name: str, sim_plant, models_from_directives, lcms: pydrake.systems.lcm.LcmBuses, builder: pydrake.systems.framework.DiagramBuilder_[float]) -> None: ...
def BuildSchunkWsgControl(plant, wsg_instance, lcm: pydrake.lcm.DrakeLcmInterface, builder: pydrake.systems.framework.DiagramBuilder_[float], pid_gains: Optional[numpy.ndarray[numpy.float64[3,1]]] = ...) -> None: ...
def GetSchunkWsgOpenPosition() -> numpy.ndarray[numpy.float64[m,1]]: ...
def MakeMultibodyForceToWsgForceSystem() -> pydrake.systems.framework.VectorSystem_[float]: ...
def MakeMultibodyStateToWsgStateSystem(*args, **kwargs) -> Any: ...
