from typing import Any, ClassVar, Dict, List

from typing import overload
import pydrake.common.cpp_template
import pydrake.common.value
import pydrake.lcm
import pydrake.systems.framework
_Serializer_: pydrake.common.cpp_template.TemplateClass
_make_lcm_publisher: staticmethod
_make_lcm_subscriber: staticmethod

class AbstractValue:
    Make: ClassVar[function] = ...
    def __init__(self, *args, **kwargs) -> None: ...
    def Clone(self) -> pydrake.common.value.AbstractValue: ...
    def SetFrom(self, arg0: pydrake.common.value.AbstractValue) -> None: ...
    def get_mutable_value(self, *args, **kwargs) -> None: ...
    def get_value(self, *args, **kwargs) -> None: ...
    def set_value(self, *args, **kwargs) -> None: ...
    def __copy__(self) -> pydrake.common.value.AbstractValue: ...
    def __deepcopy__(self, arg0: dict) -> pydrake.common.value.AbstractValue: ...

class LcmBuses:
    def __init__(self) -> None: ...
    def Add(self, bus_name: str, bus: pydrake.lcm.DrakeLcmInterface) -> None: ...
    def Find(self, description_of_caller: str, bus_name: str) -> pydrake.lcm.DrakeLcmInterface: ...
    def GetAllBusNames(self) -> List[str]: ...
    def size(self) -> int: ...

class LcmInterfaceSystem(pydrake.systems.framework.LeafSystem_[float]):
    def __init__(self, lcm: pydrake.lcm.DrakeLcmInterface) -> None: ...

class LcmPublisherSystem(pydrake.systems.framework.LeafSystem_[float]):
    @overload
    def __init__(self, channel: str, serializer: SerializerInterface, lcm: LcmInterfaceSystem, publish_period: float = ...) -> None: ...
    @overload
    def __init__(self, channel: str, serializer: SerializerInterface, lcm: pydrake.lcm.DrakeLcmInterface, publish_period: float = ...) -> None: ...
    @overload
    def __init__(self, channel: str, serializer: SerializerInterface, lcm: LcmInterfaceSystem, publish_triggers: Set[pydrake.systems.framework.TriggerType], publish_period: float = ...) -> None: ...
    @overload
    def __init__(self, channel: str, serializer: SerializerInterface, lcm: pydrake.lcm.DrakeLcmInterface, publish_triggers: Set[pydrake.systems.framework.TriggerType], publish_period: float = ...) -> None: ...
    def Make(self, *args, **kwargs) -> Any: ...

class LcmScopeSystem(pydrake.systems.framework.LeafSystem_[float]):
    def __init__(self, size: int) -> None: ...
    def AddToBuilder(self, *args, **kwargs) -> Any: ...

class LcmSubscriberSystem(pydrake.systems.framework.LeafSystem_[float]):
    @overload
    def __init__(self, channel: str, serializer: SerializerInterface, lcm: LcmInterfaceSystem) -> None: ...
    @overload
    def __init__(self, channel: str, serializer: SerializerInterface, lcm: pydrake.lcm.DrakeLcmInterface) -> None: ...
    def Make(self, *args, **kwargs) -> Any: ...
    def WaitForMessage(self, old_message_count: int, message: pydrake.common.value.AbstractValue = ..., timeout: float = ...) -> int: ...

class PySerializer(SerializerInterface):
    __init__: ClassVar[function] = ...
    Clone: ClassVar[function] = ...
    CreateDefaultValue: ClassVar[function] = ...
    Deserialize: ClassVar[function] = ...
    Serialize: ClassVar[function] = ...

class SerializerInterface:
    def __init__(self) -> None: ...
    def Clone(self) -> SerializerInterface: ...
    def CreateDefaultValue(self) -> pydrake.common.value.AbstractValue: ...
    def Deserialize(self, message_bytes: bytes, abstract_value: pydrake.common.value.AbstractValue) -> None: ...
    def Serialize(self, abstract_value: pydrake.common.value.AbstractValue) -> bytes: ...
    def __copy__(self) -> SerializerInterface: ...
    def __deepcopy__(self, arg0: dict) -> SerializerInterface: ...

class _Serializer(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[experimental_lcmt_deformable_tri](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[experimental_lcmt_deformable_tri_mesh_init](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[experimental_lcmt_deformable_tri_mesh_update](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[experimental_lcmt_deformable_tri_meshes_init](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[experimental_lcmt_deformable_tri_meshes_update](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_acrobot_u](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_acrobot_x](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_acrobot_y](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_allegro_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_allegro_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_call_python](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_call_python_data](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_contact_results_for_viz](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_drake_signal](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_force_torque](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_header](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_hydroelastic_contact_surface_for_viz](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_hydroelastic_quadrature_per_point_data_for_viz](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_iiwa_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_iiwa_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_iiwa_status_telemetry](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_image](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_image_array](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_jaco_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_jaco_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_panda_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_panda_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_gripper_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_gripper_finger_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_gripper_finger_face_assignment](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_gripper_finger_face_assignments](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_gripper_finger_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_gripper_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_manipuland_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_planar_plant_state](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_point](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_point_cloud](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_point_cloud_field](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_point_pair_contact_info_for_viz](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_quaternion](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_robot_plan](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_robot_state](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_schunk_wsg_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_schunk_wsg_status](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_scope](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_viewer_command](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_viewer_draw](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_viewer_geometry_data](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_viewer_link_data](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _Serializer_[lcmt_viewer_load_robot](SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_10lcmt_imageEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_10lcmt_pointEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_10lcmt_scopeEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_11lcmt_headerEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_14lcmt_acrobot_uEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_14lcmt_acrobot_xEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_14lcmt_acrobot_yEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_15lcmt_quaternionEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_15lcmt_robot_planEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_call_pythonEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_iiwa_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_image_arrayEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_jaco_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_point_cloudEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_robot_stateEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_16lcmt_viewer_drawEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_17lcmt_drake_signalEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_17lcmt_force_torqueEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_17lcmt_iiwa_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_17lcmt_jaco_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_17lcmt_panda_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_18lcmt_panda_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_19lcmt_allegro_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_19lcmt_viewer_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_20lcmt_allegro_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_21lcmt_call_python_dataEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_21lcmt_viewer_link_dataEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_22lcmt_point_cloud_fieldEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_22lcmt_schunk_wsg_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_22lcmt_viewer_load_robotEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_23lcmt_planar_plant_stateEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_23lcmt_schunk_wsg_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_25lcmt_viewer_geometry_dataEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_26lcmt_iiwa_status_telemetryEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_26lcmt_planar_gripper_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_27lcmt_planar_gripper_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_28lcmt_contact_results_for_vizEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_29lcmt_planar_manipuland_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_32experimental_lcmt_deformable_triEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_33lcmt_planar_gripper_finger_statusEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_34lcmt_planar_gripper_finger_commandEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_36lcmt_point_pair_contact_info_for_vizEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_41lcmt_hydroelastic_contact_surface_for_vizEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_42experimental_lcmt_deformable_tri_mesh_initEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_42lcmt_planar_gripper_finger_face_assignmentEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_43lcmt_planar_gripper_finger_face_assignmentsEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_44experimental_lcmt_deformable_tri_mesh_updateEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_44experimental_lcmt_deformable_tri_meshes_initEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_46experimental_lcmt_deformable_tri_meshes_updateEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

class _TemporaryName_N5drake7systems3lcm10SerializerINS_51lcmt_hydroelastic_quadrature_per_point_data_for_vizEEE(SerializerInterface):
    _original_name: ClassVar[str] = ...
    _original_qualname: ClassVar[str] = ...
    def __init__(self) -> None: ...

def ApplyLcmBusConfig(lcm_buses: Dict[str,pydrake.lcm.DrakeLcmParams], builder: pydrake.systems.framework.DiagramBuilder_[float]) -> LcmBuses: ...
